kube-prometheus-stack:
  defaultRules:
    create: false
  windowsMonitoring:
    enabled: false
  alertmanager:
    enabled: true
    alertmanagerSpec:
      # alertmanagerConfigSelector:
      #   matchLabels:
      #     alertmanagerConfig: example
      # global enabled
      alertmanagerConfiguration:
        name: config-example
    # nodeSelector:
    #   class: monitoring
    resources: {}
  grafana:
    enabled: false
  coreDns:
    enabled: true
  kubeDns:
    enabled: false
  prometheusOperator:
    enabled: true
    revisionHistoryLimit: 3

# prometheus

  prometheus:
    enabled: true
    agentMode: false
    podDisruptionBudget:
      enabled: true
      minAvailable: 1
    prometheusSpec:
      ruleSelectorNilUsesHelmValues: false
      podMonitorSelectorNilUsesHelmValues: false
      serviceMonitorSelectorNilUsesHelmValues: false
      probeSelectorNilUsesHelmValues: false
      remoteWrite:
        - url: "http://192.168.60.91:9090/api/v1/write"
          basicAuth:
            username:
              name: remote-read-prometheus
              key: "username"
            password:
              name: remote-read-prometheus
              key: "password"
          headers:
            Soto-mie: enak
      externalLabels:
        tenant_id: "kind-infra"
      # additionalScrapeConfigs:
      # - job_name: 'kubernetes'
      #   kubernetes_sd_configs:
      #     - role: pod
      #   relabel_configs:
      #     - source_labels: [__meta_kubernetes_pod_annotation_prometheus_io_scrape]
      #       action: keep
      #       regex: true
      #     - target_label: cluster
      #       replacement: ${name}
      ruleSelector:
        matchLabels:
          role: alert-rules
      scarapeInterval: ""
      scrapeTimeout: ""
      exemplars: ""
      # nodeSelector:
      #   class: monitoring
      retention: 10d
      retentionSize: ""
      replicas: 1
      resources: {}
        # requests:
        #   memory: 400Mi
        # limits:
        #   memory: 1Gi
      storageSpec:
        volumeClaimTemplate:
          spec:
            storageClassName: standard
            accessModes: [ "ReadWriteOnce" ]
            resources:
              requests:
                storage: 20Gi
      additionalScrapeConfigs: []
